Package org.zkoss.web.servlet

## Class CharsetFilter

- java.lang.Object
- - org.zkoss.web.servlet.CharsetFilter

- All Implemented Interfaces:
    `javax.servlet.Filter`

      public class CharsetFilter
      extends java.lang.Object
      implements javax.servlet.Filter

  The filter to correct character encoding and to prepare Locale for the current request.

  Initial parameters:

  charset
    The default character set if it is not specified in the DSP page. Default: UTF-8.

  It is actually based on `Charsets.setup(javax.servlet.http.HttpSession, javax.servlet.ServletRequest, javax.servlet.ServletResponse, java.lang.String)`.

  Author:
    tomyeh

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CharsetFilter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `destroy()` |
    `void` | `doFilter​(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)` |
    `void` | `init​(javax.servlet.FilterConfig config)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CharsetFilter

          public CharsetFilter()

  - ### Method Detail

    - #### doFilter

          public void doFilter​(javax.servlet.ServletRequest request,
                               javax.servlet.ServletResponse response,
                               javax.servlet.FilterChain chain)
                        throws java.io.IOException,
                               javax.servlet.ServletException

      Specified by:
        `doFilter` in interface `javax.servlet.Filter`
      Throws:
        `java.io.IOException`
        `javax.servlet.ServletException`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Filter`

    - #### init

          public final void init​(javax.servlet.FilterConfig config)
                          throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Filter`
      Throws:
        `javax.servlet.ServletException`